classification
Title: bytes and bytearray methods are undocumented
Type: behavior Stage: resolved
Components: Documentation Versions: Python 3.2, Python 3.3, Python 3.4
process
Status: closed Resolution: out of date
Dependencies: Superseder:
Assigned To: docs@python Nosy List: berker.peksag, chris.jerdonek, docs@python, ezio.melotti, jcea, pitrou
Priority: normal Keywords:

Created on 2012-10-16 19:10 by pitrou, last changed 2014-09-27 20:10 by berker.peksag. This issue is now closed.

Messages (6)
msg173074 - (view) Author: Antoine Pitrou (pitrou) * (Python committer) Date: 2012-10-16 19:10
Everything is in the title. I couldn't find any doc for bytes.join, etc. (while str methods are documented in library/stdtypes.html#string-methods).
msg173076 - (view) Author: Ezio Melotti (ezio.melotti) * (Python committer) Date: 2012-10-16 19:13
http://docs.python.org/dev/library/stdtypes.html#bytes-and-bytearray-operations

"""
Due to the common use of ASCII text as the basis for binary protocols, bytes and bytearray objects provide almost all methods found on text strings, with the exceptions of:
"""

The additional methods are documented after that.
msg173077 - (view) Author: Antoine Pitrou (pitrou) * (Python committer) Date: 2012-10-16 19:14
Ah, right. I guess a hyperlink to those methods wouldn't hurt, though :)
msg173078 - (view) Author: Antoine Pitrou (pitrou) * (Python committer) Date: 2012-10-16 19:15
For the record, in the SSL socket docs, I listed the supported methods explicitly (http://docs.python.org/dev/library/ssl.html#ssl-sockets). I think it makes things clearer for the reader.
msg173086 - (view) Author: Chris Jerdonek (chris.jerdonek) * (Python committer) Date: 2012-10-16 20:03
> I couldn't find any doc for bytes.join, etc.

One of the contributing factors to this is that bytes doesn't have its own class entry in the same way that, for example, list, dict, and memoryview have.

This creates a stumbling block for readers because they have to know to click on the "Bytes and Bytearray Operations" section as opposed to simply clicking on the type name as it is done for several other types.

With a class entry, locating where the methods are documented would be quicker and more intuitive.
msg227721 - (view) Author: Berker Peksag (berker.peksag) * (Python committer) Date: 2014-09-27 20:10
Fixed in issue 21777.
History
Date User Action Args
2014-09-27 20:10:04berker.peksagsetstatus: open -> closed

nosy: + berker.peksag
messages: + msg227721

resolution: out of date
stage: needs patch -> resolved
2012-10-17 00:32:36jceasetnosy: + jcea
2012-10-16 20:03:16chris.jerdoneksetnosy: + chris.jerdonek
messages: + msg173086
2012-10-16 19:15:55pitrousetmessages: + msg173078
2012-10-16 19:14:57pitrousetmessages: + msg173077
2012-10-16 19:13:37ezio.melottisetnosy: + ezio.melotti
messages: + msg173076
2012-10-16 19:10:56pitroucreate